[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.ReadSectionValues

## Declaration

Source position: inifiles.pp line 186

`public procedure TIniFile.ReadSectionValues(`
`const Section: string;`
`Strings: TStrings`
`); override;`

## Arguments

`Section` |  | Section to read key name/values from
`Strings` |  | Stringlist to store key/value pairs in.

## Description

ReadSectionValues is the implementation of TCustomIniFile.ReadSectionValues. It operates on the in-memory copy of the inifile, and places all key names from Section together with their values in Strings.

## See also

TIniFile.ReadSection |  | Read the key names in a section
TCustomIniFile.ReadSectionValues |  | Read names and values of a section
TIniFile.ReadSections |  | Read section names

Documentation generated on: Feb 26 2014